%return the elastic mesh layout of the character's image
%Author: Rongju Sun
%Email: rongjusun@gmail.com
%Date: Dec, 2014
%@Peking University, China

function fig_elastic_mesh = fig_elastic_mesh(img)
  
    [h, w] = size(img);
    [x, y] = find(img == 0);
    nPts = size(x, 1);
    mesh_num = 4;
    
    y0 = 1;
    count = 0;

    for i = 1: mesh_num - 1
        for mesh_y = y0: w
           y_left = find(y <= mesh_y & y > y0);
           
           if(size(y_left, 1) > (nPts / mesh_num) )
              break; 
           end
           
        end
        
        y0 = mesh_y;
        count = count + 1;
        fig_elastic_mesh(count) = y0 / w;
    end
    
    x0 = 1;
    for i = 1: mesh_num - 1
        for mesh_x = x0: h
           x_up = find(x <= mesh_x & x > x0);
           
           if(size(x_up, 1) > (nPts / mesh_num) )
              break; 
           end
           
        end
        
        x0 = mesh_x;
        count = count + 1;
        fig_elastic_mesh(count) = x0 / h;
    end
end